# $Revision: 1.31 $, $Date: 2006/03/07 10:20:48 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	SMTP
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - implementation of the SMTP protocol
Summary(pl):	%{_pearname} - implementacja protokou SMTP
Name:		php-pear-%{_pearname}
Version:	1.2.8
Release:	1
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	acd7c31aa6a083ff6bff86ffba02bcbb
URL:		http://pear.php.net/package/Net_SMTP/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-Net_Socket
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Auth/SASL.*)'

%description
Provides an implementation of the SMTP protocol using PEAR's
Net_Socket:: class.

In PEAR status of this package is: %{_status}.

%description -l pl
Dostarcza implementacj protokou SMTP przy uyciu PEAR-owej klasy
Net_Socket:: .

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_SMTP.spec,v $
Revision 1.31  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.30  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.29  2006/02/16 18:25:35  glen
- 1.2.8

Revision 1.28  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.27  2005/11/20 16:26:33  glen
- rel 4

Revision 1.26  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.25  2005/10/05 20:59:32  glen
- rel 3

Revision 1.24  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.23  2005/09/30 14:17:09  glen
- rel 2

Revision 1.22  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.21  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.20  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.19  2005/09/19 21:43:40  glen
- integer BR

Revision 1.18  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.17.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.17.2.1  2005/09/18 19:26:05  glen
- use php-pear-build

Revision 1.17  2005/08/22 04:29:29  adamg
- updated to 1.2.7

Revision 1.16  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.14  2004/04/13 09:58:48  adamg
- updated to 1.2.6

Revision 1.13  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.12  2004/03/12 22:12:44  adamg
- updated to 1.2.5

Revision 1.11  2003/10/07 20:55:42  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.9  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.8  2003/05/28 08:58:46  adamg
- massive attack: added source0-md5

Revision 1.7  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/02/23 13:34:40  blues
- 1.1.2 - bugfix release; STBR to Ra updates general

Revision 1.5  2003/02/01 17:56:56  blues
- 1.1.1 - stable release, STBR to Ra Updates

Revision 1.4  2003/01/04 15:45:10  blues
- 1.0.1 - bugfix - stable class -> STBR to Ra-updates-general

Revision 1.3  2002/10/14 23:49:40  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/15 10:51:14  blues
- fix in macros

Revision 1.1  2002/07/12 18:25:16  blues
- initial release - replaces class from php-pear-additional_classes
